Bug 869439 - [abrt] control-center-3.6.1-1.fc18: g_slist_prepend: Process /usr/bin/gnome-control-center was killed by signal 11 (SIGSEGV)
[abrt] control-center-3.6.1-1.fc18: g_slist_prepend: Process /usr/bin/gnome-c...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marek Kašík
Fedora Extras Quality Assurance
abrt_hash:e70ecfba5b9b6954d8ec5929cb5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-23 17:46 EDT by Russell Doty
Modified: 2014-02-05 07:41 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:41:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (2.75 KB, text/plain)
2012-10-23 17:46 EDT, Russell Doty
no flags Details
File: environ (1.36 KB, text/plain)
2012-10-23 17:46 EDT, Russell Doty
no flags Details
File: backtrace (32.37 KB, text/plain)
2012-10-23 17:46 EDT, Russell Doty
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-23 17:46 EDT, Russell Doty
no flags Details
File: cgroup (132 bytes, text/plain)
2012-10-23 17:46 EDT, Russell Doty
no flags Details
File: maps (97.12 KB, text/plain)
2012-10-23 17:46 EDT, Russell Doty
no flags Details
File: dso_list (19.89 KB, text/plain)
2012-10-23 17:46 EDT, Russell Doty
no flags Details
File: proc_pid_status (930 bytes, text/plain)
2012-10-23 17:46 EDT, Russell Doty
no flags Details
File: var_log_messages (328 bytes, text/plain)
2012-10-23 17:46 EDT, Russell Doty
no flags Details
File: open_fds (853 bytes, text/plain)
2012-10-23 17:46 EDT, Russell Doty
no flags Details

  None (edit)
Description Russell Doty 2012-10-23 17:46:21 EDT
Description of problem:
1. System Settings
2. Printers
3. Unlock
4. Add New Printer
5. Select a network printer (Brother HL-4070CDW)
6. Select ADD
7. Crash. Printer not added.


Version-Release number of selected component:
control-center-3.6.1-1.fc18

Additional info:
libreport version: 2.0.16
abrt_version:   2.0.16
backtrace_rating: 4
cmdline:        gnome-control-center --overview
crash_function: g_slist_prepend
kernel:         3.6.2-2.fc18.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 g_slist_prepend at gslist.c:266
: #1 g_object_class_install_property at gobject.c:562
: #2 gtk_message_dialog_class_init at gtkmessagedialog.c:202
: #3 gtk_message_dialog_class_intern_init at gtkmessagedialog.c:143
: #4 type_class_init_Wm at gtype.c:2217
: #5 g_type_class_ref at gtype.c:2924
: #6 g_object_new_valist at gobject.c:1796
: #8 gtk_message_dialog_new at gtkmessagedialog.c:620
: #9 new_printer_dialog_response_cb at cc-printers-panel.c:1726
: #10 g_cclosure_marshal_VOID__INTv at gmarshal.c:410
Comment 1 Russell Doty 2012-10-23 17:46:23 EDT
Created attachment 632406 [details]
File: core_backtrace
Comment 2 Russell Doty 2012-10-23 17:46:25 EDT
Created attachment 632407 [details]
File: environ
Comment 3 Russell Doty 2012-10-23 17:46:27 EDT
Created attachment 632408 [details]
File: backtrace
Comment 4 Russell Doty 2012-10-23 17:46:29 EDT
Created attachment 632409 [details]
File: limits
Comment 5 Russell Doty 2012-10-23 17:46:30 EDT
Created attachment 632410 [details]
File: cgroup
Comment 6 Russell Doty 2012-10-23 17:46:32 EDT
Created attachment 632411 [details]
File: maps
Comment 7 Russell Doty 2012-10-23 17:46:34 EDT
Created attachment 632412 [details]
File: dso_list
Comment 8 Russell Doty 2012-10-23 17:46:35 EDT
Created attachment 632413 [details]
File: proc_pid_status
Comment 9 Russell Doty 2012-10-23 17:46:37 EDT
Created attachment 632414 [details]
File: var_log_messages
Comment 10 Russell Doty 2012-10-23 17:46:39 EDT
Created attachment 632415 [details]
File: open_fds
Comment 11 Marek Kašík 2012-10-24 11:18:49 EDT
Hi Russell,

unfortunately, I can not reproduce the problem. Is it reproducible for you?
If yes could you try to run it under valgrind (with debuginfo installed)?

e.g.: valgrind -v --track-origins=yes --trace-children=yes --num-callers=32 gnome-control-center printers &> valgrind.log

It could be also useful to get output of "lpinfo -l -v" (under root).

Did you enter address of the printer into the search entry or the printer was already present in the list?

Regards

Marek
Comment 12 Fedora End Of Life 2013-12-21 04:11:02 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2014-02-05 07:41:30 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.